Bug 172585 - Deactivating open LV error mesg says "removing" instead of "deactivating"
Deactivating open LV error mesg says "removing" instead of "deactivating"
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: lvm2 (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alasdair Kergon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-07 11:58 EST by Corey Marthaler
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: U3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-08 10:24:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2005-11-07 11:58:40 EST
Description of problem:

single mode:
[root@link-10 ~]# lvchange -an /dev/mirror_3_5662/mirror_3_56620
  LV mirror_3_5662/mirror_3_56620 in use: not removing

cluster mode:
[root@link-08 ~]# lvchange -an /dev/linear_1/linear_10
  Error locking on node link-02: Internal lvm error, check syslog
  Error locking on node link-01: Internal lvm error, check syslog
  Error locking on node link-08: Internal lvm error, check syslog

Nov  7 05:27:02 link-08 lvm[22377]: LV linear_1/linear_10 in use: not removing


The command is just to deactivate the volume, not revomve it, so shouldn't the
error reflect that?
Comment 1 Alasdair Kergon 2005-11-08 10:21:02 EST
Fixed.
Comment 3 Corey Marthaler 2006-01-24 17:42:52 EST
fix verified.

Note You need to log in before you can comment on or make changes to this bug.